/**
 */
package org.example.democatalog.provider;

import java.util.Collection;
import java.util.List;

import org.eclipse.emf.common.notify.AdapterFactory;
import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.common.util.ResourceLocator;

import org.eclipse.emf.ecore.EStructuralFeature;

import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;
import org.eclipse.emf.edit.provider.ItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.ItemProviderAdapter;
import org.eclipse.emf.edit.provider.ViewerNotification;

import org.example.democatalog.DemocatalogFactory;
import org.example.democatalog.DemocatalogPackage;
import org.example.democatalog.EnergyComponentCatalog;

/**
 * This is the item provider adapter for a {@link org.example.democatalog.EnergyComponentCatalog} object.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class EnergyComponentCatalogItemProvider extends ItemProviderAdapter implements IEditingDomainItemProvider,
		IStructuredItemContentProvider, ITreeItemContentProvider, IItemLabelProvider, IItemPropertySource {
	/**
	 * This constructs an instance from a factory and a notifier.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EnergyComponentCatalogItemProvider(AdapterFactory adapterFactory) {
		super(adapterFactory);
	}

	/**
	 * This returns the property descriptors for the adapted class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object) {
		if (itemPropertyDescriptors == null) {
			super.getPropertyDescriptors(object);

			addAuthorPropertyDescriptor(object);
		}
		return itemPropertyDescriptors;
	}

	/**
	 * This adds a property descriptor for the Author feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addAuthorPropertyDescriptor(Object object) {
		itemPropertyDescriptors
				.add(createItemPropertyDescriptor(((ComposeableAdapterFactory) adapterFactory).getRootAdapterFactory(),
						getResourceLocator(), getString("_UI_EnergyComponentCatalog_author_feature"),
						getString("_UI_PropertyDescriptor_description", "_UI_EnergyComponentCatalog_author_feature",
								"_UI_EnergyComponentCatalog_type"),
						DemocatalogPackage.Literals.ENERGY_COMPONENT_CATALOG__AUTHOR, true, false, false,
						ItemPropertyDescriptor.GENERIC_VALUE_IMAGE, null, null));
	}

	/**
	 * This specifies how to implement {@link #getChildren} and is used to deduce an appropriate feature for an
	 * {@link org.eclipse.emf.edit.command.AddCommand}, {@link org.eclipse.emf.edit.command.RemoveCommand} or
	 * {@link org.eclipse.emf.edit.command.MoveCommand} in {@link #createCommand}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Collection<? extends EStructuralFeature> getChildrenFeatures(Object object) {
		if (childrenFeatures == null) {
			super.getChildrenFeatures(object);
			childrenFeatures.add(DemocatalogPackage.Literals.ENERGY_COMPONENT_CATALOG__BOILERS);
			childrenFeatures.add(DemocatalogPackage.Literals.ENERGY_COMPONENT_CATALOG__CHPS);
			childrenFeatures.add(DemocatalogPackage.Literals.ENERGY_COMPONENT_CATALOG__SOLAR_PANELS);
			childrenFeatures.add(DemocatalogPackage.Literals.ENERGY_COMPONENT_CATALOG__INVERTERS);
			childrenFeatures.add(DemocatalogPackage.Literals.ENERGY_COMPONENT_CATALOG__MANUFACTURERS);
		}
		return childrenFeatures;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EStructuralFeature getChildFeature(Object object, Object child) {
		// Check the type of the specified child object and return the proper feature to use for
		// adding (see {@link AddCommand}) it as a child.

		return super.getChildFeature(object, child);
	}

	/**
	 * This returns EnergyComponentCatalog.gif.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object getImage(Object object) {
		return overlayImage(object, getResourceLocator().getImage("full/obj16/EnergyComponentCatalog"));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected boolean shouldComposeCreationImage() {
		return true;
	}

	/**
	 * This returns the label text for the adapted class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getText(Object object) {
		String label = ((EnergyComponentCatalog) object).getAuthor();
		return label == null || label.length() == 0 ? getString("_UI_EnergyComponentCatalog_type")
				: getString("_UI_EnergyComponentCatalog_type") + " " + label;
	}

	/**
	 * This handles model notifications by calling {@link #updateChildren} to update any cached
	 * children and by creating a viewer notification, which it passes to {@link #fireNotifyChanged}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void notifyChanged(Notification notification) {
		updateChildren(notification);

		switch (notification.getFeatureID(EnergyComponentCatalog.class)) {
		case DemocatalogPackage.ENERGY_COMPONENT_CATALOG__AUTHOR:
			fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), false, true));
			return;
		case DemocatalogPackage.ENERGY_COMPONENT_CATALOG__BOILERS:
		case DemocatalogPackage.ENERGY_COMPONENT_CATALOG__CHPS:
		case DemocatalogPackage.ENERGY_COMPONENT_CATALOG__SOLAR_PANELS:
		case DemocatalogPackage.ENERGY_COMPONENT_CATALOG__INVERTERS:
		case DemocatalogPackage.ENERGY_COMPONENT_CATALOG__MANUFACTURERS:
			fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), true, false));
			return;
		}
		super.notifyChanged(notification);
	}

	/**
	 * This adds {@link org.eclipse.emf.edit.command.CommandParameter}s describing the children
	 * that can be created under this object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object) {
		super.collectNewChildDescriptors(newChildDescriptors, object);

		newChildDescriptors.add(createChildParameter(DemocatalogPackage.Literals.ENERGY_COMPONENT_CATALOG__BOILERS,
				DemocatalogFactory.eINSTANCE.createBoiler()));

		newChildDescriptors.add(createChildParameter(DemocatalogPackage.Literals.ENERGY_COMPONENT_CATALOG__CHPS,
				DemocatalogFactory.eINSTANCE.createCombinedHeatPower()));

		newChildDescriptors.add(createChildParameter(DemocatalogPackage.Literals.ENERGY_COMPONENT_CATALOG__SOLAR_PANELS,
				DemocatalogFactory.eINSTANCE.createSolarPanel()));

		newChildDescriptors.add(createChildParameter(DemocatalogPackage.Literals.ENERGY_COMPONENT_CATALOG__INVERTERS,
				DemocatalogFactory.eINSTANCE.createInverter()));

		newChildDescriptors
				.add(createChildParameter(DemocatalogPackage.Literals.ENERGY_COMPONENT_CATALOG__MANUFACTURERS,
						DemocatalogFactory.eINSTANCE.createManufacturer()));
	}

	/**
	 * Return the resource locator for this item provider's resources.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public ResourceLocator getResourceLocator() {
		return DemocatalogEditPlugin.INSTANCE;
	}

}
