/**
 */
package org.example.democatalog;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.example.democatalog.DemocatalogFactory
 * @model kind="package"
 * @generated
 */
public interface DemocatalogPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "democatalog";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://example.org/democatalog";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "democat";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	DemocatalogPackage eINSTANCE = org.example.democatalog.impl.DemocatalogPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.example.democatalog.impl.EnergyComponentCatalogImpl <em>Energy Component Catalog</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.example.democatalog.impl.EnergyComponentCatalogImpl
	 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getEnergyComponentCatalog()
	 * @generated
	 */
	int ENERGY_COMPONENT_CATALOG = 0;

	/**
	 * The feature id for the '<em><b>Author</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT_CATALOG__AUTHOR = 0;

	/**
	 * The feature id for the '<em><b>Boilers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT_CATALOG__BOILERS = 1;

	/**
	 * The feature id for the '<em><b>Chps</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT_CATALOG__CHPS = 2;

	/**
	 * The feature id for the '<em><b>Solar Panels</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT_CATALOG__SOLAR_PANELS = 3;

	/**
	 * The feature id for the '<em><b>Inverters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT_CATALOG__INVERTERS = 4;

	/**
	 * The feature id for the '<em><b>Manufacturers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT_CATALOG__MANUFACTURERS = 5;

	/**
	 * The number of structural features of the '<em>Energy Component Catalog</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT_CATALOG_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>Energy Component Catalog</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT_CATALOG_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.example.democatalog.impl.EnergyComponentImpl <em>Energy Component</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.example.democatalog.impl.EnergyComponentImpl
	 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getEnergyComponent()
	 * @generated
	 */
	int ENERGY_COMPONENT = 7;

	/**
	 * The feature id for the '<em><b>Model Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT__MODEL_NAME = 0;

	/**
	 * The feature id for the '<em><b>Revision Year</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT__REVISION_YEAR = 1;

	/**
	 * The feature id for the '<em><b>Produced By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT__PRODUCED_BY = 2;

	/**
	 * The number of structural features of the '<em>Energy Component</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>Energy Component</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.example.democatalog.impl.ChemicalDeviceImpl <em>Chemical Device</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.example.democatalog.impl.ChemicalDeviceImpl
	 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getChemicalDevice()
	 * @generated
	 */
	int CHEMICAL_DEVICE = 6;

	/**
	 * The feature id for the '<em><b>Model Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHEMICAL_DEVICE__MODEL_NAME = ENERGY_COMPONENT__MODEL_NAME;

	/**
	 * The feature id for the '<em><b>Revision Year</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHEMICAL_DEVICE__REVISION_YEAR = ENERGY_COMPONENT__REVISION_YEAR;

	/**
	 * The feature id for the '<em><b>Produced By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHEMICAL_DEVICE__PRODUCED_BY = ENERGY_COMPONENT__PRODUCED_BY;

	/**
	 * The feature id for the '<em><b>Installed Thermal Power</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHEMICAL_DEVICE__INSTALLED_THERMAL_POWER = ENERGY_COMPONENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Chemical Device</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHEMICAL_DEVICE_FEATURE_COUNT = ENERGY_COMPONENT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Chemical Device</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHEMICAL_DEVICE_OPERATION_COUNT = ENERGY_COMPONENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.example.democatalog.impl.BoilerImpl <em>Boiler</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.example.democatalog.impl.BoilerImpl
	 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getBoiler()
	 * @generated
	 */
	int BOILER = 1;

	/**
	 * The feature id for the '<em><b>Model Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER__MODEL_NAME = CHEMICAL_DEVICE__MODEL_NAME;

	/**
	 * The feature id for the '<em><b>Revision Year</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER__REVISION_YEAR = CHEMICAL_DEVICE__REVISION_YEAR;

	/**
	 * The feature id for the '<em><b>Produced By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER__PRODUCED_BY = CHEMICAL_DEVICE__PRODUCED_BY;

	/**
	 * The feature id for the '<em><b>Installed Thermal Power</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER__INSTALLED_THERMAL_POWER = CHEMICAL_DEVICE__INSTALLED_THERMAL_POWER;

	/**
	 * The feature id for the '<em><b>Boiler Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER__BOILER_TYPE = CHEMICAL_DEVICE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Boiler</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER_FEATURE_COUNT = CHEMICAL_DEVICE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Boiler</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER_OPERATION_COUNT = CHEMICAL_DEVICE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.example.democatalog.impl.CombinedHeatPowerImpl <em>Combined Heat Power</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.example.democatalog.impl.CombinedHeatPowerImpl
	 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getCombinedHeatPower()
	 * @generated
	 */
	int COMBINED_HEAT_POWER = 2;

	/**
	 * The feature id for the '<em><b>Model Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER__MODEL_NAME = CHEMICAL_DEVICE__MODEL_NAME;

	/**
	 * The feature id for the '<em><b>Revision Year</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER__REVISION_YEAR = CHEMICAL_DEVICE__REVISION_YEAR;

	/**
	 * The feature id for the '<em><b>Produced By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER__PRODUCED_BY = CHEMICAL_DEVICE__PRODUCED_BY;

	/**
	 * The feature id for the '<em><b>Installed Thermal Power</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER__INSTALLED_THERMAL_POWER = CHEMICAL_DEVICE__INSTALLED_THERMAL_POWER;

	/**
	 * The feature id for the '<em><b>Thermal Efficiency</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER__THERMAL_EFFICIENCY = CHEMICAL_DEVICE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Combined Heat Power</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER_FEATURE_COUNT = CHEMICAL_DEVICE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Combined Heat Power</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER_OPERATION_COUNT = CHEMICAL_DEVICE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.example.democatalog.impl.ElectricalDeviceImpl <em>Electrical Device</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.example.democatalog.impl.ElectricalDeviceImpl
	 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getElectricalDevice()
	 * @generated
	 */
	int ELECTRICAL_DEVICE = 8;

	/**
	 * The feature id for the '<em><b>Model Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ELECTRICAL_DEVICE__MODEL_NAME = ENERGY_COMPONENT__MODEL_NAME;

	/**
	 * The feature id for the '<em><b>Revision Year</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ELECTRICAL_DEVICE__REVISION_YEAR = ENERGY_COMPONENT__REVISION_YEAR;

	/**
	 * The feature id for the '<em><b>Produced By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ELECTRICAL_DEVICE__PRODUCED_BY = ENERGY_COMPONENT__PRODUCED_BY;

	/**
	 * The feature id for the '<em><b>Nominal Power</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ELECTRICAL_DEVICE__NOMINAL_POWER = ENERGY_COMPONENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Electrical Device</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ELECTRICAL_DEVICE_FEATURE_COUNT = ENERGY_COMPONENT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Electrical Device</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ELECTRICAL_DEVICE_OPERATION_COUNT = ENERGY_COMPONENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.example.democatalog.impl.SolarPanelImpl <em>Solar Panel</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.example.democatalog.impl.SolarPanelImpl
	 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getSolarPanel()
	 * @generated
	 */
	int SOLAR_PANEL = 3;

	/**
	 * The feature id for the '<em><b>Model Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL__MODEL_NAME = ELECTRICAL_DEVICE__MODEL_NAME;

	/**
	 * The feature id for the '<em><b>Revision Year</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL__REVISION_YEAR = ELECTRICAL_DEVICE__REVISION_YEAR;

	/**
	 * The feature id for the '<em><b>Produced By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL__PRODUCED_BY = ELECTRICAL_DEVICE__PRODUCED_BY;

	/**
	 * The feature id for the '<em><b>Nominal Power</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL__NOMINAL_POWER = ELECTRICAL_DEVICE__NOMINAL_POWER;

	/**
	 * The feature id for the '<em><b>Mpp Voltage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL__MPP_VOLTAGE = ELECTRICAL_DEVICE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Mpp Current</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL__MPP_CURRENT = ELECTRICAL_DEVICE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Solar Panel</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL_FEATURE_COUNT = ELECTRICAL_DEVICE_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Solar Panel</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL_OPERATION_COUNT = ELECTRICAL_DEVICE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.example.democatalog.impl.InverterImpl <em>Inverter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.example.democatalog.impl.InverterImpl
	 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getInverter()
	 * @generated
	 */
	int INVERTER = 4;

	/**
	 * The feature id for the '<em><b>Model Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER__MODEL_NAME = ELECTRICAL_DEVICE__MODEL_NAME;

	/**
	 * The feature id for the '<em><b>Revision Year</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER__REVISION_YEAR = ELECTRICAL_DEVICE__REVISION_YEAR;

	/**
	 * The feature id for the '<em><b>Produced By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER__PRODUCED_BY = ELECTRICAL_DEVICE__PRODUCED_BY;

	/**
	 * The feature id for the '<em><b>Nominal Power</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER__NOMINAL_POWER = ELECTRICAL_DEVICE__NOMINAL_POWER;

	/**
	 * The feature id for the '<em><b>Max DC Voltage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER__MAX_DC_VOLTAGE = ELECTRICAL_DEVICE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Mac DC Current</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER__MAC_DC_CURRENT = ELECTRICAL_DEVICE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Inverter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER_FEATURE_COUNT = ELECTRICAL_DEVICE_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Inverter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER_OPERATION_COUNT = ELECTRICAL_DEVICE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.example.democatalog.impl.ManufacturerImpl <em>Manufacturer</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.example.democatalog.impl.ManufacturerImpl
	 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getManufacturer()
	 * @generated
	 */
	int MANUFACTURER = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANUFACTURER__NAME = 0;

	/**
	 * The number of structural features of the '<em>Manufacturer</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANUFACTURER_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Manufacturer</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANUFACTURER_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.example.democatalog.BoilerType <em>Boiler Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.example.democatalog.BoilerType
	 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getBoilerType()
	 * @generated
	 */
	int BOILER_TYPE = 9;

	/**
	 * Returns the meta object for class '{@link org.example.democatalog.EnergyComponentCatalog <em>Energy Component Catalog</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Energy Component Catalog</em>'.
	 * @see org.example.democatalog.EnergyComponentCatalog
	 * @generated
	 */
	EClass getEnergyComponentCatalog();

	/**
	 * Returns the meta object for the attribute '{@link org.example.democatalog.EnergyComponentCatalog#getAuthor <em>Author</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Author</em>'.
	 * @see org.example.democatalog.EnergyComponentCatalog#getAuthor()
	 * @see #getEnergyComponentCatalog()
	 * @generated
	 */
	EAttribute getEnergyComponentCatalog_Author();

	/**
	 * Returns the meta object for the containment reference list '{@link org.example.democatalog.EnergyComponentCatalog#getBoilers <em>Boilers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Boilers</em>'.
	 * @see org.example.democatalog.EnergyComponentCatalog#getBoilers()
	 * @see #getEnergyComponentCatalog()
	 * @generated
	 */
	EReference getEnergyComponentCatalog_Boilers();

	/**
	 * Returns the meta object for the containment reference list '{@link org.example.democatalog.EnergyComponentCatalog#getChps <em>Chps</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Chps</em>'.
	 * @see org.example.democatalog.EnergyComponentCatalog#getChps()
	 * @see #getEnergyComponentCatalog()
	 * @generated
	 */
	EReference getEnergyComponentCatalog_Chps();

	/**
	 * Returns the meta object for the containment reference list '{@link org.example.democatalog.EnergyComponentCatalog#getSolarPanels <em>Solar Panels</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Solar Panels</em>'.
	 * @see org.example.democatalog.EnergyComponentCatalog#getSolarPanels()
	 * @see #getEnergyComponentCatalog()
	 * @generated
	 */
	EReference getEnergyComponentCatalog_SolarPanels();

	/**
	 * Returns the meta object for the containment reference list '{@link org.example.democatalog.EnergyComponentCatalog#getInverters <em>Inverters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Inverters</em>'.
	 * @see org.example.democatalog.EnergyComponentCatalog#getInverters()
	 * @see #getEnergyComponentCatalog()
	 * @generated
	 */
	EReference getEnergyComponentCatalog_Inverters();

	/**
	 * Returns the meta object for the containment reference list '{@link org.example.democatalog.EnergyComponentCatalog#getManufacturers <em>Manufacturers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Manufacturers</em>'.
	 * @see org.example.democatalog.EnergyComponentCatalog#getManufacturers()
	 * @see #getEnergyComponentCatalog()
	 * @generated
	 */
	EReference getEnergyComponentCatalog_Manufacturers();

	/**
	 * Returns the meta object for class '{@link org.example.democatalog.Boiler <em>Boiler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Boiler</em>'.
	 * @see org.example.democatalog.Boiler
	 * @generated
	 */
	EClass getBoiler();

	/**
	 * Returns the meta object for the attribute '{@link org.example.democatalog.Boiler#getBoilerType <em>Boiler Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Boiler Type</em>'.
	 * @see org.example.democatalog.Boiler#getBoilerType()
	 * @see #getBoiler()
	 * @generated
	 */
	EAttribute getBoiler_BoilerType();

	/**
	 * Returns the meta object for class '{@link org.example.democatalog.CombinedHeatPower <em>Combined Heat Power</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Combined Heat Power</em>'.
	 * @see org.example.democatalog.CombinedHeatPower
	 * @generated
	 */
	EClass getCombinedHeatPower();

	/**
	 * Returns the meta object for the attribute '{@link org.example.democatalog.CombinedHeatPower#getThermalEfficiency <em>Thermal Efficiency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Thermal Efficiency</em>'.
	 * @see org.example.democatalog.CombinedHeatPower#getThermalEfficiency()
	 * @see #getCombinedHeatPower()
	 * @generated
	 */
	EAttribute getCombinedHeatPower_ThermalEfficiency();

	/**
	 * Returns the meta object for class '{@link org.example.democatalog.SolarPanel <em>Solar Panel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Solar Panel</em>'.
	 * @see org.example.democatalog.SolarPanel
	 * @generated
	 */
	EClass getSolarPanel();

	/**
	 * Returns the meta object for the attribute '{@link org.example.democatalog.SolarPanel#getMppVoltage <em>Mpp Voltage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mpp Voltage</em>'.
	 * @see org.example.democatalog.SolarPanel#getMppVoltage()
	 * @see #getSolarPanel()
	 * @generated
	 */
	EAttribute getSolarPanel_MppVoltage();

	/**
	 * Returns the meta object for the attribute '{@link org.example.democatalog.SolarPanel#getMppCurrent <em>Mpp Current</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mpp Current</em>'.
	 * @see org.example.democatalog.SolarPanel#getMppCurrent()
	 * @see #getSolarPanel()
	 * @generated
	 */
	EAttribute getSolarPanel_MppCurrent();

	/**
	 * Returns the meta object for class '{@link org.example.democatalog.Inverter <em>Inverter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Inverter</em>'.
	 * @see org.example.democatalog.Inverter
	 * @generated
	 */
	EClass getInverter();

	/**
	 * Returns the meta object for the attribute '{@link org.example.democatalog.Inverter#getMaxDCVoltage <em>Max DC Voltage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max DC Voltage</em>'.
	 * @see org.example.democatalog.Inverter#getMaxDCVoltage()
	 * @see #getInverter()
	 * @generated
	 */
	EAttribute getInverter_MaxDCVoltage();

	/**
	 * Returns the meta object for the attribute '{@link org.example.democatalog.Inverter#getMacDCCurrent <em>Mac DC Current</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mac DC Current</em>'.
	 * @see org.example.democatalog.Inverter#getMacDCCurrent()
	 * @see #getInverter()
	 * @generated
	 */
	EAttribute getInverter_MacDCCurrent();

	/**
	 * Returns the meta object for class '{@link org.example.democatalog.Manufacturer <em>Manufacturer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Manufacturer</em>'.
	 * @see org.example.democatalog.Manufacturer
	 * @generated
	 */
	EClass getManufacturer();

	/**
	 * Returns the meta object for the attribute '{@link org.example.democatalog.Manufacturer#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.example.democatalog.Manufacturer#getName()
	 * @see #getManufacturer()
	 * @generated
	 */
	EAttribute getManufacturer_Name();

	/**
	 * Returns the meta object for class '{@link org.example.democatalog.ChemicalDevice <em>Chemical Device</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Chemical Device</em>'.
	 * @see org.example.democatalog.ChemicalDevice
	 * @generated
	 */
	EClass getChemicalDevice();

	/**
	 * Returns the meta object for the attribute '{@link org.example.democatalog.ChemicalDevice#getInstalledThermalPower <em>Installed Thermal Power</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Installed Thermal Power</em>'.
	 * @see org.example.democatalog.ChemicalDevice#getInstalledThermalPower()
	 * @see #getChemicalDevice()
	 * @generated
	 */
	EAttribute getChemicalDevice_InstalledThermalPower();

	/**
	 * Returns the meta object for class '{@link org.example.democatalog.EnergyComponent <em>Energy Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Energy Component</em>'.
	 * @see org.example.democatalog.EnergyComponent
	 * @generated
	 */
	EClass getEnergyComponent();

	/**
	 * Returns the meta object for the attribute '{@link org.example.democatalog.EnergyComponent#getModelName <em>Model Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Model Name</em>'.
	 * @see org.example.democatalog.EnergyComponent#getModelName()
	 * @see #getEnergyComponent()
	 * @generated
	 */
	EAttribute getEnergyComponent_ModelName();

	/**
	 * Returns the meta object for the attribute '{@link org.example.democatalog.EnergyComponent#getRevisionYear <em>Revision Year</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Revision Year</em>'.
	 * @see org.example.democatalog.EnergyComponent#getRevisionYear()
	 * @see #getEnergyComponent()
	 * @generated
	 */
	EAttribute getEnergyComponent_RevisionYear();

	/**
	 * Returns the meta object for the reference '{@link org.example.democatalog.EnergyComponent#getProducedBy <em>Produced By</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Produced By</em>'.
	 * @see org.example.democatalog.EnergyComponent#getProducedBy()
	 * @see #getEnergyComponent()
	 * @generated
	 */
	EReference getEnergyComponent_ProducedBy();

	/**
	 * Returns the meta object for class '{@link org.example.democatalog.ElectricalDevice <em>Electrical Device</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Electrical Device</em>'.
	 * @see org.example.democatalog.ElectricalDevice
	 * @generated
	 */
	EClass getElectricalDevice();

	/**
	 * Returns the meta object for the attribute '{@link org.example.democatalog.ElectricalDevice#getNominalPower <em>Nominal Power</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Nominal Power</em>'.
	 * @see org.example.democatalog.ElectricalDevice#getNominalPower()
	 * @see #getElectricalDevice()
	 * @generated
	 */
	EAttribute getElectricalDevice_NominalPower();

	/**
	 * Returns the meta object for enum '{@link org.example.democatalog.BoilerType <em>Boiler Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Boiler Type</em>'.
	 * @see org.example.democatalog.BoilerType
	 * @generated
	 */
	EEnum getBoilerType();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	DemocatalogFactory getDemocatalogFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.example.democatalog.impl.EnergyComponentCatalogImpl <em>Energy Component Catalog</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.example.democatalog.impl.EnergyComponentCatalogImpl
		 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getEnergyComponentCatalog()
		 * @generated
		 */
		EClass ENERGY_COMPONENT_CATALOG = eINSTANCE.getEnergyComponentCatalog();

		/**
		 * The meta object literal for the '<em><b>Author</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ENERGY_COMPONENT_CATALOG__AUTHOR = eINSTANCE.getEnergyComponentCatalog_Author();

		/**
		 * The meta object literal for the '<em><b>Boilers</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENERGY_COMPONENT_CATALOG__BOILERS = eINSTANCE.getEnergyComponentCatalog_Boilers();

		/**
		 * The meta object literal for the '<em><b>Chps</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENERGY_COMPONENT_CATALOG__CHPS = eINSTANCE.getEnergyComponentCatalog_Chps();

		/**
		 * The meta object literal for the '<em><b>Solar Panels</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENERGY_COMPONENT_CATALOG__SOLAR_PANELS = eINSTANCE.getEnergyComponentCatalog_SolarPanels();

		/**
		 * The meta object literal for the '<em><b>Inverters</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENERGY_COMPONENT_CATALOG__INVERTERS = eINSTANCE.getEnergyComponentCatalog_Inverters();

		/**
		 * The meta object literal for the '<em><b>Manufacturers</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENERGY_COMPONENT_CATALOG__MANUFACTURERS = eINSTANCE.getEnergyComponentCatalog_Manufacturers();

		/**
		 * The meta object literal for the '{@link org.example.democatalog.impl.BoilerImpl <em>Boiler</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.example.democatalog.impl.BoilerImpl
		 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getBoiler()
		 * @generated
		 */
		EClass BOILER = eINSTANCE.getBoiler();

		/**
		 * The meta object literal for the '<em><b>Boiler Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BOILER__BOILER_TYPE = eINSTANCE.getBoiler_BoilerType();

		/**
		 * The meta object literal for the '{@link org.example.democatalog.impl.CombinedHeatPowerImpl <em>Combined Heat Power</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.example.democatalog.impl.CombinedHeatPowerImpl
		 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getCombinedHeatPower()
		 * @generated
		 */
		EClass COMBINED_HEAT_POWER = eINSTANCE.getCombinedHeatPower();

		/**
		 * The meta object literal for the '<em><b>Thermal Efficiency</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMBINED_HEAT_POWER__THERMAL_EFFICIENCY = eINSTANCE.getCombinedHeatPower_ThermalEfficiency();

		/**
		 * The meta object literal for the '{@link org.example.democatalog.impl.SolarPanelImpl <em>Solar Panel</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.example.democatalog.impl.SolarPanelImpl
		 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getSolarPanel()
		 * @generated
		 */
		EClass SOLAR_PANEL = eINSTANCE.getSolarPanel();

		/**
		 * The meta object literal for the '<em><b>Mpp Voltage</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SOLAR_PANEL__MPP_VOLTAGE = eINSTANCE.getSolarPanel_MppVoltage();

		/**
		 * The meta object literal for the '<em><b>Mpp Current</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SOLAR_PANEL__MPP_CURRENT = eINSTANCE.getSolarPanel_MppCurrent();

		/**
		 * The meta object literal for the '{@link org.example.democatalog.impl.InverterImpl <em>Inverter</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.example.democatalog.impl.InverterImpl
		 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getInverter()
		 * @generated
		 */
		EClass INVERTER = eINSTANCE.getInverter();

		/**
		 * The meta object literal for the '<em><b>Max DC Voltage</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INVERTER__MAX_DC_VOLTAGE = eINSTANCE.getInverter_MaxDCVoltage();

		/**
		 * The meta object literal for the '<em><b>Mac DC Current</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INVERTER__MAC_DC_CURRENT = eINSTANCE.getInverter_MacDCCurrent();

		/**
		 * The meta object literal for the '{@link org.example.democatalog.impl.ManufacturerImpl <em>Manufacturer</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.example.democatalog.impl.ManufacturerImpl
		 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getManufacturer()
		 * @generated
		 */
		EClass MANUFACTURER = eINSTANCE.getManufacturer();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MANUFACTURER__NAME = eINSTANCE.getManufacturer_Name();

		/**
		 * The meta object literal for the '{@link org.example.democatalog.impl.ChemicalDeviceImpl <em>Chemical Device</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.example.democatalog.impl.ChemicalDeviceImpl
		 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getChemicalDevice()
		 * @generated
		 */
		EClass CHEMICAL_DEVICE = eINSTANCE.getChemicalDevice();

		/**
		 * The meta object literal for the '<em><b>Installed Thermal Power</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CHEMICAL_DEVICE__INSTALLED_THERMAL_POWER = eINSTANCE.getChemicalDevice_InstalledThermalPower();

		/**
		 * The meta object literal for the '{@link org.example.democatalog.impl.EnergyComponentImpl <em>Energy Component</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.example.democatalog.impl.EnergyComponentImpl
		 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getEnergyComponent()
		 * @generated
		 */
		EClass ENERGY_COMPONENT = eINSTANCE.getEnergyComponent();

		/**
		 * The meta object literal for the '<em><b>Model Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ENERGY_COMPONENT__MODEL_NAME = eINSTANCE.getEnergyComponent_ModelName();

		/**
		 * The meta object literal for the '<em><b>Revision Year</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ENERGY_COMPONENT__REVISION_YEAR = eINSTANCE.getEnergyComponent_RevisionYear();

		/**
		 * The meta object literal for the '<em><b>Produced By</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENERGY_COMPONENT__PRODUCED_BY = eINSTANCE.getEnergyComponent_ProducedBy();

		/**
		 * The meta object literal for the '{@link org.example.democatalog.impl.ElectricalDeviceImpl <em>Electrical Device</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.example.democatalog.impl.ElectricalDeviceImpl
		 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getElectricalDevice()
		 * @generated
		 */
		EClass ELECTRICAL_DEVICE = eINSTANCE.getElectricalDevice();

		/**
		 * The meta object literal for the '<em><b>Nominal Power</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ELECTRICAL_DEVICE__NOMINAL_POWER = eINSTANCE.getElectricalDevice_NominalPower();

		/**
		 * The meta object literal for the '{@link org.example.democatalog.BoilerType <em>Boiler Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.example.democatalog.BoilerType
		 * @see org.example.democatalog.impl.DemocatalogPackageImpl#getBoilerType()
		 * @generated
		 */
		EEnum BOILER_TYPE = eINSTANCE.getBoilerType();

	}

} //DemocatalogPackage
